Package oracle.jdbc.xa

## Class OracleXADataSource

- java.lang.Object
- - oracle.jdbc.datasource.impl.OracleDataSource
  - - oracle.jdbc.datasource.impl.OracleConnectionPoolDataSource
    - - oracle.jdbc.pool.OracleConnectionPoolDataSource
      - - oracle.jdbc.xa.OracleXADataSource

All Implemented Interfaces:
  `Serializable`, `Wrapper`, `Referenceable`, `CommonDataSource`, `ConnectionPoolDataSource`, `DataSource`, `XADataSource`, `OracleCommonDataSource`, `OracleConnectionPoolDataSource`, `OracleDataSource`, `OracleXADataSource`, `oracle.jdbc.internal.Monitor`, `oracle.jdbc.replay.internal.OracleConnectionPoolDataSource`, `oracle.jdbc.replay.internal.OracleDataSource`, `oracle.jdbc.replay.internal.OracleXADataSource`, `OracleConnectionPoolDataSource`, `OracleDataSource`, `OracleXADataSource`

Direct Known Subclasses:
  `OracleXADataSource`

    public abstract class OracleXADataSource
    extends OracleConnectionPoolDataSource
    implements OracleXADataSource, oracle.jdbc.replay.internal.OracleXADataSource

A factory for XAConnection objects. An object that implements the XADataSource interface is typically registered with a JNDI service provider.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface oracle.jdbc.internal.Monitor

`oracle.jdbc.internal.Monitor.CloseableLock, oracle.jdbc.internal.Monitor.WaitableMonitor`

### Field Summary

Fields
`protected boolean` `useNativeXA`

### Fields inherited from class oracle.jdbc.datasource.impl.OracleDataSource

`CHECKSUM_PROPERTY, clientChecksum11203x, clientChecksum12x, connectionProperties, databaseName, dataSourceName, DEFAULT_SERVICE_NAME, description, doneDumpOnMemoryPressure, driver, driverType, ENABLE_AC_SUPPORT_PROPERTY, explicitCachingEnabled, explicitCachingEnabledSet, FAILOVER_RESTORE_AUTO, FAILOVER_RESTORE_LEVEL1, FAILOVER_RESTORE_LEVEL2, FAILOVER_RESTORE_NONE, FAILOVER_RESTORE_PROPERTY, FAILOVER_TYPE_AUTO, FAILOVER_TYPE_PROPERTY, FAILOVER_TYPE_TRANSACTION, IGNORE_AC_CONTEXT_PROPERTY, implicitCachingEnabled, implicitCachingEnabledSet, INITIATION_TIMEOUT_PROPERTY, isAutoACEnabled, isFirstConnection, isOracleDataSource, isReplayInDynamicMode, isStateRestorationAuto, isTransactionReplayEnabled, loginTimeout, logWriter, maxStatements, maxStatementsSet, networkProtocol, password, portNumber, RECONNECT_DELAY_PROPERTY, RECONNECT_RETRIES_PROPERTY, reconnectDelay, reconnectRetries, replayInitiationTimeout, REQUEST_SIZE_LIMIT_PROPERTY, serverName, serviceName, SESSION_STATE_CONSISTENCY_STATIC, SESSION_STATE_PROPERTY, stateRestorationType, tnsEntry, TRACE, url, user`

### Fields inherited from interface oracle.jdbc.replay.OracleDataSource

`CONNECTION_PROPERTIES, DATA_SOURCE_NAME, DATABASE_NAME, DESCRIPTION, EXPLICIT_CACHING_ENABLED, IMPLICIT_CACHING_ENABLED, MAX_STATEMENTS, NETWORK_PROTOCOL, PASSWORD, PORT_NUMBER, ROLE_NAME, SERVER_NAME, URL, USER`

### Constructor Summary

Constructors
`OracleXADataSource()` Create an OracleXADataSource instance.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`OracleXAConnectionBuilder` `createXAConnectionBuilder()` Creates a new Oracle XA ConnectionBuilder instance
`protected oracle.jdbc.internal.OracleConnection` `getConnectionDuringExceptionHandling()`
`abstract XAConnection` `getXAConnection()` Attempt to establish a database connection.
`abstract XAConnection` `getXAConnection​(String user, String passwd)` Attempt to establish a database connection.
`void` `setURL​(String url)` Set the URL from which connections have to be obtained.

### Methods inherited from class oracle.jdbc.datasource.impl.OracleConnectionPoolDataSource

`createPooledConnectionBuilder, getConnection, getConnection, getConnection, getPhysicalConnection, getPhysicalConnection, getPhysicalConnection, getPhysicalConnection, getPhysicalConnection, getPooledConnection, getPooledConnection, getPooledConnection`

### Methods inherited from class oracle.jdbc.datasource.impl.OracleDataSource

`addRefProperties, cleanup, clearDoneDumpOnMemoryPressure, clearReplayStatistics, createConnectionBuilder, debug, enableACAndProxifyIfNecessary, getConnection, getConnection, getConnectionInitializationCallback, getConnectionNoProxy, getConnectionProperties, getConnectionProperty, getDatabaseName, getDataSourceName, getDescription, getDriverType, getExplicitCachingEnabled, getImplicitCachingEnabled, getLoginTimeout, getLogWriter, getMaxStatements, getMonitorLock, getNetworkProtocol, getParentLogger, getPassword, getPhysicalConnection, getPortNumber, getProxyFactory, getReference, getReplayStatistics, getReplayStatisticsString, getRequestSizeLimit, getRoleName, getServerName, getServiceName, getSystemProperty, getTNSEntryName, getURL, getUser, isWrapperFor, makeURL, registerConnectionInitializationCallback, registerMBean, setConnectionProperties, setConnectionProperty, setDatabaseName, setDataSourceName, setDescription, setDriverType, setExplicitCachingEnabled, setImplicitCachingEnabled, setLoginTimeout, setLogWriter, setMaxStatements, setNetworkProtocol, setPassword, setPortNumber, setRoleName, setServerName, setServiceName, setSingleShardTransactionSupport, setSSLContext, setTNSEntryName, setupACSpecificProperties, setUser, trace, unregisterConnectionInitializationCallback, unregisterMBean, unwrap, updateReplayStatistics`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`getParentLogger`

### Methods inherited from interface javax.sql.ConnectionPoolDataSource

`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

### Methods inherited from interface javax.sql.DataSource

`getConnection, getConnection, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

### Methods inherited from interface oracle.jdbc.internal.Monitor

`acquireCloseableLock, acquireLock, newDefaultLock, releaseLock`

### Methods inherited from interface oracle.jdbc.datasource.OracleCommonDataSource

`createShardingKeyBuilder, getConnectionProperties, getConnectionProperty, getDatabaseName, getDataSourceName, getDescription, getNetworkProtocol, getPortNumber, getServerName, getURL, getUser, setConnectionProperties, setConnectionProperty, setDatabaseName, setDataSourceName, setDescription, setNetworkProtocol, setPassword, setPortNumber, setServerName, setSingleShardTransactionSupport, setSSLContext, setUser`

### Methods inherited from interface oracle.jdbc.datasource.OracleConnectionPoolDataSource

`createPooledConnectionBuilder`

### Methods inherited from interface oracle.jdbc.replay.OracleConnectionPoolDataSource

`getPooledConnection, getPooledConnection`

### Methods inherited from interface oracle.jdbc.datasource.OracleDataSource

`createConnectionBuilder`

### Methods inherited from interface oracle.jdbc.replay.internal.OracleDataSource

`clearDoneDumpOnMemoryPressure, getConnectionNoProxy, getProxyFactory, getReplayStatisticsString, getRequestSizeLimit, updateReplayStatistics`

### Methods inherited from interface oracle.jdbc.replay.OracleDataSource

`clearReplayStatistics, getConnectionInitializationCallback, getExplicitCachingEnabled, getImplicitCachingEnabled, getMaxStatements, getReplayStatistics, getRoleName, registerConnectionInitializationCallback, setExplicitCachingEnabled, setImplicitCachingEnabled, setMaxStatements, setRoleName, unregisterConnectionInitializationCallback`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Methods inherited from interface javax.sql.XADataSource

`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

### Field Detail

#### useNativeXA

    protected boolean useNativeXA

### Constructor Detail

#### OracleXADataSource

    public OracleXADataSource()
                       throws SQLException

Create an OracleXADataSource instance.

Throws:
  `SQLException` - if error occurs while creating an object

### Method Detail

#### getXAConnection

    public abstract XAConnection getXAConnection()
                                          throws SQLException

Attempt to establish a database connection.

Specified by:
  `getXAConnection` in interface `OracleXADataSource`
Specified by:
  `getXAConnection` in interface `XADataSource`
Returns:
  a Connection to the database
Throws:
  `SQLException` - if a database-access error occurs.

#### getXAConnection

    public abstract XAConnection getXAConnection​(String user,
                                                 String passwd)
                                          throws SQLException

Attempt to establish a database connection.

Specified by:
  `getXAConnection` in interface `OracleXADataSource`
Specified by:
  `getXAConnection` in interface `XADataSource`
Parameters:
  `user` - the database user on whose behalf the Connection is being made
  `password` - the user's password
Returns:
  a Connection to the database
Throws:
  `SQLException` - if a database-access error occurs.

#### setURL

    public void setURL​(String url)

Description copied from class: `OracleDataSource`
Set the URL from which connections have to be obtained. If URL is set all other properties like databasename, servername, portNumber, network protocol, tnsentry, and driver Type will be ignored.

Specified by:
  `setURL` in interface `OracleCommonDataSource`
Overrides:
  `setURL` in class `OracleDataSource`
Parameters:
  `url` - URL to be set.

#### getConnectionDuringExceptionHandling

    protected oracle.jdbc.internal.OracleConnection getConnectionDuringExceptionHandling()

Overrides:
  `getConnectionDuringExceptionHandling` in class `OracleDataSource`

#### createXAConnectionBuilder

    public OracleXAConnectionBuilder createXAConnectionBuilder()

Creates a new Oracle XA ConnectionBuilder instance

Specified by:
  `createXAConnectionBuilder` in interface `OracleXADataSource`
Specified by:
  `createXAConnectionBuilder` in interface `XADataSource`
Returns:
  The XA ConnectionBuilder instance that was created